---
search:
  tags:
    - Seasons
    - GET
seo:
  description: >-
    Every season, newest first. Reference for the GET /seasons endpoint in the
    Hockay API.
sidebar:
  label: Every season, newest first
  badge: GET
title: Every season, newest first
type: openapi-operation
---
`GET /seasons`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": [
    {
      "id": "string",
      "number": -9007199254740991,
      "phase": "regular_season",
      "currentMatchday": -9007199254740991,
      "startDate": "string",
      "endDate": "string"
    }
  ]
}
```
